文本内容检测

POST /check_text 正常

检测文本是否包含违法违规内容

请求参数

参数名 类型 必选 描述
message string 必填 需要检测的文本内容

请求示例

https://www.cunyuapi.top/check_text(记得post参数,响应中max_risk_score越接近1越危险,越接近0越安全)

返回示例

{
  "status": "ok",
  "data": {
    "is_safe": "high_risk",
    "max_risk_score": 1.0,
    "detail": [
      {
        "type": "隐私泄露",
        "risk_temperature": 0.0,
        "risk_level": "safe",
        "detail": "该项完全合规"
      },
      {
        "type": "广告垃圾",
        "risk_temperature": 0.0,
        "risk_level": "safe",
        "detail": "该项完全合规"
      },
      {
        "type": "政治敏感",
        "risk_temperature": 0.0,
        "risk_level": "safe",
        "detail": "该项完全合规"
      },
      {
        "type": "侮辱内容",
        "risk_temperature": 1.0,
        "risk_level": "highest",
        "detail": "针对个人或群体的侮辱性言论"
      },
      {
        "type": "脏话语言",
        "risk_temperature": 1.0,
        "risk_level": "highest",
        "detail": "包含脏话、粗口等不文明用语"
      },
      {
        "type": "暴力血腥",
        "risk_temperature": 0.0,
        "risk_level": "safe",
        "detail": "该项完全合规"
      },
      {
        "type": "色情低俗",
        "risk_temperature": 0.0,
        "risk_level": "safe",
        "detail": "该项完全合规"
      },
      {
        "type": "其他违法违规",
        "risk_temperature": 0.0,
        "risk_level": "safe",
        "detail": "该项完全合规"
      }
    ]
  }
}